- Qt 5.15
- Qt 3D
- C++ Classes
- QPropertyNodeAddedChange
- Qt 5.15.11 Reference Documentation

# QPropertyNodeAddedChange Class

class Qt3DCore::QPropertyNodeAddedChange

Used to notify when a node is added to a property. More...

Header: | #include <Qt3DCore/QPropertyNodeAddedChange>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QStaticPropertyValueAddedChangeBase

- List of all members, including inherited members

## Public Functions

| QPropertyNodeAddedChange(QNodeId subjectId, QNode *node)
QNodeId | addedNodeId() const
const QMetaObject * | metaObject() const

## Related Non-Members

typedef | QPropertyNodeAddedChangePtr

## Detailed Description

## Member Function Documentation

### QPropertyNodeAddedChange::QPropertyNodeAddedChange(QNodeId subjectId, QNode *node)

Constructs a new QPropertyNodeAddedChange with subjectId, node.

### QNodeId QPropertyNodeAddedChange::addedNodeId() const

Returns the id of the node added to the property.

### const QMetaObject *QPropertyNodeAddedChange::metaObject() const

Returns the meta object of the node added to the property.

## Related Non-Members

### typedef QPropertyNodeAddedChangePtr

A shared pointer for QPropertyNodeAddedChange.